POSTaggerFactory.POSDictionarySerializer (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.postag

## Class POSTaggerFactory.POSDictionarySerializer

- java.lang.Object
- - opennlp.tools.postag.POSTaggerFactory.POSDictionarySerializer

- All Implemented Interfaces:
    ArtifactSerializer<POSDictionary>
  Enclosing class:
    POSTaggerFactory

      public static class POSTaggerFactory.POSDictionarySerializer
      extends Object
      implements ArtifactSerializer<POSDictionary>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `POSDictionarySerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `POSDictionary` | `create(InputStream in)` Creates the artifact from the provided `InputStream`.
    `void` | `serialize(POSDictionary artifact, OutputStream out)` Serializes the artifact to the provided `OutputStream`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### POSDictionarySerializer

          public POSDictionarySerializer()

  - ### Method Detail

    - #### create

          public POSDictionary create(InputStream in)
                               throws IOException

      Description copied from interface: `ArtifactSerializer`
      Creates the artifact from the provided `InputStream`. The `InputStream` remains open.
      Specified by:
        `create` in interface `ArtifactSerializer<POSDictionary>`
      Returns:
        the artifact
      Throws:
        `IOException`

    - #### serialize

          public void serialize(POSDictionary artifact,
                                OutputStream out)
                         throws IOException

      Description copied from interface: `ArtifactSerializer`
      Serializes the artifact to the provided `OutputStream`. The `OutputStream` remains open.
      Specified by:
        `serialize` in interface `ArtifactSerializer<POSDictionary>`
      Throws:
        `IOException`

Copyright © 2026 The Apache Software Foundation. All rights reserved.